php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #21664 Apache 1.3.x on Oracle9iAS
Submitted: 2003-01-15 10:52 UTC Modified: 2003-01-31 13:51 UTC
From: ramonrsanchez at netscape dot net Assigned:
Status: No Feedback Package: Compile Failure
PHP Version: 4.2.3 OS: Linux Redhat 7.3
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: ramonrsanchez at netscape dot net
New email:
PHP Version: OS:

 

 [2003-01-15 10:52 UTC] ramonrsanchez at netscape dot net
i try compile PHP and i want generate libphp4.o and always output error

My configurate line it's:

./configure CPPFLAGS=-I$/u01/app/oracle/product/ora9ias/Apache/Apache/include
--with-apxs=/usr/sbin/apxs -enable-shared -with-oci8=/u02/app/oracle/product/8.1.7 --enable-sigchild --with-mysql=/usr --enable-track-vars -enable-module=so

But i have this problem:

/bin/sh /usr/local/php-4.2.3/libtool --silent --mode=link gcc  -I.
-I/usr/local/php-4.2.3/ -I/usr/local/php-4.2.3/main -I/usr/local/php-4.2.3
-I/usr/include/apache -I/usr/local/php-4.2.3/Zend -I/usr/include/mysql
-I/u02/app/oracle/product/8.1.7/rdbms/public
-I/u02/app/oracle/product/8.1.7/rdbms/demo
-I/usr/local/php-4.2.3/ext/xml/expat  -DLINUX=22 -DEAPI -DEAPI_MM
-DEAPI_MM_CORE_PATH=/var/run/httpd.mm -I/usr/local/php-4.2.3/TSRM -g -O2
-prefer-pic   -o libphp4.la -rpath /usr/local/php-4.2.3/libs -avoid-version
-L/usr/lib/mysql -L/u02/app/oracle/product/8.1.7/lib  -R /usr/lib/mysql -R
/u02/app/oracle/product/8.1.7/lib stub.lo  Zend/libZend.la
sapi/apache/libsapi.la main/libmain.la regex/libregex.la
/usr/local/php-4.2.3/ext/ctype/libctype.la
/usr/local/php-4.2.3/ext/mysql/libmysql.la
/usr/local/php-4.2.3/ext/oci8/liboci8.la
/usr/local/php-4.2.3/ext/pcre/libpcre.la
/usr/local/php-4.2.3/ext/posix/libposix.la
/usr/local/php-4.2.3/ext/session/libsession.la
/usr/local/php-4.2.3/ext/standard/libstandard.la
/usr/local/php-4.2.3/ext/xml/libxml.la TSRM/libtsrm.la -lpam -lmysqlclient
-lcrypt -lresolv -lm -ldl -lnsl -lresolv -lcrypt -ldl -lm -lclntsh -ldl

*** Warning: inter-library dependencies are not known to be supported.
*** All declared inter-library dependencies are being dropped.
*** The inter-library dependencies that have been dropped here will be
*** automatically added whenever a program is linked with this library
*** or is declared to -dlopen it.
/usr/bin/ld: cannot open output file .libs/: Is a directory
collect2: ld returned 1 exit status
make[1]: *** [libphp4.la] Error 1
make[1]: Leaving directory `/usr/local/php-4.2.3'
make: *** [all-recursive] Error 1


Someone can helpme

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2003-01-15 14:23 UTC] sniper@php.net
Please try with PHP 4.3.0.

 [2003-01-31 13:51 UTC] sniper@php.net
No feedback was provided. The bug is being suspended because
we assume that you are no longer experiencing the problem.
If this is not the case and you are able to provide the
information that was requested earlier, please do so and
change the status of the bug back to "Open". Thank you.


 
PHP Copyright © 2001-2024 The PHP Group
All rights reserved.
Last updated: Fri Mar 01 18:01:28 2024 UTC